# Resque::Queue::Status

Resque Plugin adding simple queue statuses.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'resque-queue-status'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install resque-queue-status

## Usage

Extend Resque::Plugins::Queue::Status into your Resque Job.
You can specify your own key for your queues and check the status.

```
class ExampleJob
 extend Resque::Plugins::Queue::Status

 def self.perform()
  puts 'hoge'
 end

end

Resque.enqueue(ExampleJob, queue_status_key: 'hoge')
ExampleJob.current_queue_status('hoge')
```

Statuses are `IN_PROGESS`, `COMPLETED` and `FAILED`.

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/ikuto0608/resque-queue-status.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
